XnModulePlayerInterface Struct Reference

`#include <XnModuleInterface.h>`

## Public Attributes

XnStatus(* | SetInputStream )(XnModuleNodeHandle hInstance, void *pStreamCookie, XnPlayerInputStreamInterface *pStream)
XnStatus(* | ReadNext )(XnModuleNodeHandle hInstance)
XnStatus(* | SetNodeNotifications )(XnModuleNodeHandle hInstance, void *pNodeNotificationsCookie, XnNodeNotifications *pNodeNotifications)
XnStatus(* | SetRawNodeNotifications )(XnModuleNodeHandle hInstance, void *pRawNodeNotificationsCookie, XnNodeNotifications *pRawNodeNotifications)
XnStatus(* | SetRepeat )(XnModuleNodeHandle hInstance, XnBool bRepeat)
XnStatus(* | SeekToTimeStamp )(XnModuleNodeHandle hInstance, XnInt64 nTimeOffset, XnPlayerSeekOrigin origin)
XnStatus(* | SeekToFrame )(XnModuleNodeHandle hInstance, const XnChar *strNodeName, XnInt32 nFrameOffset, XnPlayerSeekOrigin origin)
XnStatus(* | TellTimestamp )(XnModuleNodeHandle hInstance, XnUInt64 *pnTimestamp)
XnStatus(* | TellFrame )(XnModuleNodeHandle hInstance, const XnChar *strNodeName, XnUInt32 *pnFrame)
XnStatus(* | GetNumFrames )(XnModuleNodeHandle hInstance, const XnChar *strNodeName, XnUInt32 *pnFrames)
const XnChar *(* | GetSupportedFormat )(XnModuleNodeHandle hInstance)
XnBool(* | IsEOF )(XnModuleNodeHandle hInstance)
XnStatus(* | RegisterToEndOfFileReached )(XnModuleNodeHandle hGenerator, XnModuleStateChangedHandler handler, void *pCookie, XnCallbackHandle *phCallback)
void(* | UnregisterFromEndOfFileReached )(XnModuleNodeHandle hGenerator, XnCallbackHandle hCallback)
XnModuleProductionNodeInterface * | pProductionNode
void * | pObsolete1

## Member Data Documentation

## GetNumFrames

XnStatus(* XnModulePlayerInterface::GetNumFrames) (XnModuleNodeHandle hInstance, const XnChar *strNodeName, XnUInt32 *pnFrames)

## GetSupportedFormat

const XnChar *(* XnModulePlayerInterface::GetSupportedFormat) (XnModuleNodeHandle hInstance)

## IsEOF

XnBool(* XnModulePlayerInterface::IsEOF) (XnModuleNodeHandle hInstance)

## pObsolete1

void* XnModulePlayerInterface::pObsolete1

## pProductionNode

XnModuleProductionNodeInterface* XnModulePlayerInterface::pProductionNode

## ReadNext

XnStatus(* XnModulePlayerInterface::ReadNext) (XnModuleNodeHandle hInstance)

Reads next data from the input stream.

Parameters

  hInstance | [in] A handle to the instance.

## RegisterToEndOfFileReached

XnStatus(* XnModulePlayerInterface::RegisterToEndOfFileReached) (XnModuleNodeHandle hGenerator, XnModuleStateChangedHandler handler, void *pCookie, XnCallbackHandle *phCallback)

Registers a callback function to be called when end-of-file was reached.

Parameters

  hGenerator | [in] A handle to the instance.
  handler | [in] A pointer to a function to be called.
  pCookie | [in] A user cookie that will be passed to the callback function.
  phCallback | [out] Optional. Will be filled with a handle to be passed to UnregisterFromEndOfFileReached().

## SeekToFrame

XnStatus(* XnModulePlayerInterface::SeekToFrame) (XnModuleNodeHandle hInstance, const XnChar *strNodeName, XnInt32 nFrameOffset, XnPlayerSeekOrigin origin)

## SeekToTimeStamp

XnStatus(* XnModulePlayerInterface::SeekToTimeStamp) (XnModuleNodeHandle hInstance, XnInt64 nTimeOffset, XnPlayerSeekOrigin origin)

## SetInputStream

XnStatus(* XnModulePlayerInterface::SetInputStream) (XnModuleNodeHandle hInstance, void *pStreamCookie, XnPlayerInputStreamInterface *pStream)

## SetNodeNotifications

XnStatus(* XnModulePlayerInterface::SetNodeNotifications) (XnModuleNodeHandle hInstance, void *pNodeNotificationsCookie, XnNodeNotifications *pNodeNotifications)

## SetRawNodeNotifications

XnStatus(* XnModulePlayerInterface::SetRawNodeNotifications) (XnModuleNodeHandle hInstance, void *pRawNodeNotificationsCookie, XnNodeNotifications *pRawNodeNotifications)

## SetRepeat

XnStatus(* XnModulePlayerInterface::SetRepeat) (XnModuleNodeHandle hInstance, XnBool bRepeat)

## TellFrame

XnStatus(* XnModulePlayerInterface::TellFrame) (XnModuleNodeHandle hInstance, const XnChar *strNodeName, XnUInt32 *pnFrame)

## TellTimestamp

XnStatus(* XnModulePlayerInterface::TellTimestamp) (XnModuleNodeHandle hInstance, XnUInt64 *pnTimestamp)

## UnregisterFromEndOfFileReached

void(* XnModulePlayerInterface::UnregisterFromEndOfFileReached) (XnModuleNodeHandle hGenerator, XnCallbackHandle hCallback)

Unregisters a callback function which was registered using RegisterToEndOfFileReached().

Parameters

  hGenerator | [in] A handle to the instance.
  hCallback | [in] The handle to the callback returned from RegisterToEndOfFileReached().

The documentation for this struct was generated from the following file:

- XnModuleInterface.h